package cn.wisenergy.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author 86187
 * @ Description:
 * @ Author     : 86187
 * @ Date       : 2021/3/26 10:30
 */
@Data
@ApiModel("SetMemberPercentVo")
public class SetMemberPercentVo {
    /**
     * 比列
     */
    @ApiModelProperty(name = "percent", value = "比列")
    private Double percent;

    /**
     * 用户等级 0：普通用户 1：幼苗 2: 青铜树 3：白银树 4：黄金树 5：农场主 6：森林之星 7：西田森合伙人
     */
    @ApiModelProperty(name = "userLevel", value = "用户等级 0：普通用户 1：幼苗 2: 青铜树 3：白银树 4：黄金树 5：农场主 6：森林之星 7：西田森合伙人")
    private Integer userLevel;

    /**
     * 会员等级百分比类型：1：返佣 2：月度肥料 3：月度最大进步奖 4：运营中心补贴
     */
    @ApiModelProperty(name = "type", value = "会员等级百分比类型：1：返佣 2：月度肥料 3：月度最大进步奖 4：运营中心补贴")
    private Integer type;
}
